<?php
/**
 * Active Callbacks
 *
 * @package charitable_funds
 */

// Theme Options.
function charitable_funds_is_pagination_enabled( $charitable_funds_control ) {
	return ( $charitable_funds_control->manager->get_setting( 'charitable_funds_enable_pagination' )->value() );
}
function charitable_funds_is_breadcrumb_enabled( $charitable_funds_control ) {
	return ( $charitable_funds_control->manager->get_setting( 'charitable_funds_enable_breadcrumb' )->value() );
}
function charitable_funds_is_layout_enabled( $charitable_funds_control ) {
	return ( $charitable_funds_control->manager->get_setting( 'charitable_funds_website_layout' )->value() );
}
function charitable_funds_is_pagetitle_bcakground_image_enabled( $charitable_funds_control ) {
	return ( $charitable_funds_control->manager->get_setting( 'charitable_funds_page_header_style' )->value() );
}
function charitable_funds_is_preloader_style( $charitable_funds_control ) {
	return ( $charitable_funds_control->manager->get_setting( 'charitable_funds_enable_preloader' )->value() );
}

// Header Options.
function charitable_funds_is_topbar_enabled( $charitable_funds_control ) {
	return ( $charitable_funds_control->manager->get_Setting( 'charitable_funds_enable_topbar' )->value() );
}

// Banner Slider Section.
function charitable_funds_is_banner_slider_section_enabled( $charitable_funds_control ) {
	return ( $charitable_funds_control->manager->get_setting( 'charitable_funds_enable_banner_section' )->value() );
}
function charitable_funds_is_banner_slider_section_and_content_type_post_enabled( $charitable_funds_control ) {
	$charitable_funds_content_type = $charitable_funds_control->manager->get_setting( 'charitable_funds_banner_slider_content_type' )->value();
	return ( charitable_funds_is_banner_slider_section_enabled( $charitable_funds_control ) && ( 'post' === $charitable_funds_content_type ) );
}
function charitable_funds_is_banner_slider_section_and_content_type_page_enabled( $charitable_funds_control ) {
	$charitable_funds_content_type = $charitable_funds_control->manager->get_setting( 'charitable_funds_banner_slider_content_type' )->value();
	return ( charitable_funds_is_banner_slider_section_enabled( $charitable_funds_control ) && ( 'page' === $charitable_funds_content_type ) );
}

// Event section.
function charitable_funds_is_post_tab_section_and_content_type_page_enabled( $charitable_funds_control ) {
	$charitable_funds_content_type = $charitable_funds_control->manager->get_setting( 'charitable_funds_banner_slider_content_type' )->value();
	return ( charitable_funds_is_banner_slider_section_enabled( $charitable_funds_control ) && ( 'page' === $charitable_funds_content_type ) );
}
function charitable_funds_is_post_tab_section_and_content_type_post_enabled( $charitable_funds_control ) {
	$charitable_funds_content_type = $charitable_funds_control->manager->get_setting( 'charitable_funds_banner_slider_content_type' )->value();
	return ( charitable_funds_is_banner_slider_section_enabled( $charitable_funds_control ) && ( 'post' === $charitable_funds_content_type ) );
}
function charitable_funds_is_event_section_enabled( $charitable_funds_control ) {
	return ( $charitable_funds_control->manager->get_setting( 'charitable_funds_enable_event_section' )->value() );
}
function charitable_funds_is_event_section_and_content_type_post_enabled( $charitable_funds_control ) {
	$charitable_funds_content_type = $charitable_funds_control->manager->get_setting( 'charitable_funds_event_content_type' )->value();
	return ( charitable_funds_is_event_section_enabled( $charitable_funds_control ) && ( 'post' === $charitable_funds_content_type ) );
}
function charitable_funds_is_event_section_and_content_type_page_enabled( $charitable_funds_control ) {
	$charitable_funds_content_type = $charitable_funds_control->manager->get_setting( 'charitable_funds_event_content_type' )->value();
	return ( charitable_funds_is_event_section_enabled( $charitable_funds_control ) && ( 'page' === $charitable_funds_content_type ) );
}